Subject: Re: [PATCH 2/9] GIT-VERSION-GEN: move default version into a separate file

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Jan 2025 09:42:09 -0800

Patrick Steinhardt <[email-masked]> writes:

>   - We can pull the default version out of GIT-VERSION-GEN and move it
>     into its own file. This likely requires some adjustments for scripts
>     that bump the version, but allows Meson to read the version from
>     that file trivially.
>
> The last option is a proper solution and quite trivial to implement, and
> adapting scripts should be a one-time event. Refactor GIT-VERSION-GEN
> accordingly.

It is not clear what "proper" is.  It smells like we are bending an
established work flow element to placate a tool that is not willing
to cooperate, which is very much unwelcome.

Compared to that, grepping for "^DEF_VER=" in the file may be less
yucky.